Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.proxy.compiler
Class ProxyCompiler

    java.lang.Object
      org.jboss.proxy.compiler.ProxyCompiler

public class ProxyCompiler
extends Object

Manages bytecode assembly for dynamic proxy generation.

Version:
  `$Revision: 1.5 $`
Author:
  Unknown, Jason Dillon

Field Summary
`static String` | `CLASS_DUMP_PATH` The path (if non-null) where generated classes will be dumped for debugging.
`static String` | `IMPL_SUFFIX` The suffix for proxy implementation classnames.

Constructor Summary
`ProxyCompiler(ClassLoader parent, Class superclass, Class[] targetTypes, Method[] methods)` Creates a new `ProxyCompiler` instance.

Method Summary
`byte[]` | `getCode()` Create the implementation class for the given target.
`String` | `getProxyClassName()`
`Class` | `getProxyType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS_DUMP_PATH

    public static final String CLASS_DUMP_PATH

  The path (if non-null) where generated classes will be dumped for debugging.

### IMPL_SUFFIX

    public static final String IMPL_SUFFIX

  The suffix for proxy implementation classnames.

  See Also:
    Constant Field Values

Constructor Detail

### ProxyCompiler

    public ProxyCompiler(ClassLoader parent,
                         Class superclass,
                         Class[] targetTypes,
                         Method[] methods)
                  throws Exception

  Creates a new `ProxyCompiler` instance.

Parameters:
  `parent` - a `ClassLoader` value
  `superclass` - a `Class` value
  `targetTypes` - a `Class` value
  `methods` - a `Method` value

Method Detail

### getProxyType

    public Class getProxyType()

### getProxyClassName

    public String getProxyClassName()

### getCode

    public byte[] getCode()

  Create the implementation class for the given target.

  Returns:
    a `byte[]` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.